<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"><head>
<title>&Eacute;vatuation de fotoremix</title>
<meta http-equiv="Content-type" content="text/html; charset=iso-8859-1" />
</head>
<body>

<?php
/*	*********************************************************************
	*
	* Copyright (c) 2009
	* Nicolas Germain
	* http://www.fotoremix.net/
	*
	* fotoremix : plugin spip dde traitement d'images
	*
	* Ce programme est un logiciel libre distribue sous licence GNU/GPL.
	*
	*********************************************************************	*/


// test du plugin fotoremix dans l'environnement considere

// init
$msg_tab = array();
$fatalerror = false;

// verification des fonctions indispensables
$fct1_tab = array('utf8_encode','utf8_decode','simplexml_load_string','file_get_contents');

foreach ($fct1_tab as $afct1name)
	{
	if (!function_exists($afct1name))
		{
		$msg_tab[] = 'La fonction php ' . $afct1name . ' n\'est pas d&eacute;finie';
		$fatalerror = true;
		}
	}
	
// verification des fonctions secondaires
$fct2_tab = array('imagefilter');

foreach ($fct2_tab as $afct2name)
	{
	if (!function_exists($afct2name)) $msg_tab[] = 'La fonction php ' . $afct2name . ' n\'est pas d&eacute;finie';
	}
	
// verification des constantes
$cte_tab = array('IMG_FILTER_GRAYSCALE','IMG_FILTER_CONTRAST','IMG_FILTER_MEAN_REMOVAL','IMG_FILTER_BRIGHTNESS','IMG_FILTER_SMOOTH','IMG_FILTER_NEGATE','IMG_FILTER_COLORIZE','IMG_FILTER_EDGEDETECT','IMG_FILTER_GAUSSIAN_BLUR','IMG_FILTER_EMBOSS','IMG_FILTER_PIXELATE');

foreach ($cte_tab as $actename)
	{
	if (!is_long(@constant($actename))) $msg_tab[] = 'La constante ' . $actename . ' n\'est pas d&eacute;finie';
	}

// affichage des resultats

if (count($msg_tab) == 0) print '<p>Aucune erreur d&eacute;tect&eacute;e, fotoremix fonctionne dans cet environnement</p>';
else
	{
	if ($fatalerror) print '<p>Au moins 1 erreur fatale a &eacute;t&eacute; d&eacute;tect&eacute;e, fotoremix peut ne pas fonctionner dans cet environnement</p>';
	print '<p>Au moins 1 erreur mineure d&eacute;tect&eacute;e, certains filtres d\'image peuvent ne pas fonctionner</p>';
	print '<ul>';
	
	foreach ($msg_tab as $error)
		{
		print '<li>' . $error . '</li>';
		}

	print '</ul>';
	}
?>

</body>
</html>